<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/

function writeData()
{
  if(file_exists("stats.txt")){
    $file_str = file_get_contents("stats.txt");
  }
  else{
    $file_str = "";
  }
  if(!$fd = @fopen("stats.txt", "w")){
    echo("Błąd przy próbie otwarcia pliku");
    return false;
  }
  $str = date("Y-m-d:G:i").":";
  $str .= $_SERVER['REMOTE_ADDR'].":";
  $str .= $_SERVER['HTTP_USER_AGENT']."\r\n";
  fwrite($fd, $str);
  fwrite($fd, $file_str);
  fclose($fd);
  return true;
}

function printData()
{
  if(!file_exists("stats.txt")){
    return false;
  }
  if(!$fd = @fopen("stats.txt", "r")){
    echo("Błąd przy próbie otwarcia pliku");
    return false;
  }
  $counter = 1;
  while (!feof($fd)){
    if(($str = fgets($fd)) != "")
      echo("$counter. $str<br />");
    $counter++;
  }
  return true;
}
printData();
writeData();
?>